Bug 445939 - [FutureFeature] Add static-link lib (liblua.a) to -devel
Summary: [FutureFeature] Add static-link lib (liblua.a) to -devel
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: lua
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tim Niemueller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-09 23:09 UTC by Daniel Neilson
Modified: 2008-05-17 22:28 UTC (History)
0 users

Fixed In Version: 5.1.3-6.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-17 22:22:51 UTC


Attachments (Terms of Use)

Description Daniel Neilson 2008-05-09 23:09:29 UTC
Description of problem:
 The -devel package does not contain the static link library.

Version-Release number of selected component (if applicable):
 lua-devel-5.1.3-3

 I would like to suggest that either the static link lib, liblua.a, for lua be
added to lua-devel or, alternatively, that another package (lua-devel-static) be
added that contains the static link lib.

 There are many times where not having the static link libs available is
problematic. One that I recently came across is an instance of needing to run a
program on a machine that has only an old version of the gcc compiler available,
and the program won't compile as a result.

Comment 1 Fedora Update System 2008-05-12 17:55:28 UTC
lua-5.1.3-6.fc8 has been submitted as an update for Fedora 8

Comment 2 Fedora Update System 2008-05-12 17:56:29 UTC
lua-5.1.3-6.fc7 has been submitted as an update for Fedora 7

Comment 3 Fedora Update System 2008-05-12 17:56:35 UTC
lua-5.1.3-6.fc9 has been submitted as an update for Fedora 9

Comment 4 Tim Niemueller 2008-05-12 17:59:43 UTC
As you see upgrades have been submitted. For rawhide give the packages at
http://koji.fedoraproject.org/koji/buildinfo?buildID=48781 a try and report
success, please.

Comment 5 Daniel Neilson 2008-05-12 21:32:49 UTC
Conducted a few tests by compiling a liblua-using program on my local machine
with -static, then copied the program to a machine that does not have liblua
installed. The static linked program worked just fine.

 Programs linked against the dynamic libs also seem to be working just fine.

Thanks

Comment 6 Fedora Update System 2008-05-13 15:29:38 UTC
lua-5.1.3-6.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lua'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-3724

Comment 7 Bug Zapper 2008-05-14 10:56:48 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Fedora Update System 2008-05-17 22:22:49 UTC
lua-5.1.3-6.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2008-05-17 22:28:20 UTC
lua-5.1.3-6.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2008-05-17 22:28:26 UTC
lua-5.1.3-6.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.